Subject: Re: bug#59471: [PATCH] sh-mode: Run treesit-ready-p only when sh-shell is 'bash

From: Yuan Fu <[email-masked]>
Date: Tue, 22 Nov 2022 17:39:08 -0800

Brian Leung <[email-masked]> writes:

> Tags: patch
>
> This patch guards the treesit-ready-p check to run only when sh-shell is
> 'bash, in order to prevent an annoying warning when viewing (say) sh or
> zsh files. But maybe we also want to allow treesitter when sh-shell is
> 'sh?

Oh, thanks! Though I did it a bit differently, by separating
tree-sitter-based mode into a independent major mode (sh-ts-mode), which
is in line with other tree-sitter-based modes (python-ts-mode,
js-ts-mode, etc).

How to make bash-ts-mode fallback to sh-mode when it encounters a shell
script other than bash is still in discussion.

Yuan